Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 226268

Summary: Merge Review: perl-libwww-perl
Product: [Fedora] Fedora Reporter: Nobody's working on this, feel free to take it <nobody>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: lkundrak, redhat-bugzilla, robin.norwood
Target Milestone: ---Flags: lkundrak: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-02-27 02:56:09 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Nobody's working on this, feel free to take it 2007-01-31 20:36:35 UTC
Fedora Merge Review: perl-libwww-perl

http://cvs.fedora.redhat.com/viewcvs/devel/perl-libwww-perl/
Initial Owner: rnorwood@redhat.com

Comment 1 Parag AN(पराग) 2007-10-26 10:47:59 UTC
1)perl as BR is not needed. mock build without it worked successfully.
   remove redundant dependency on perl >= 1:5.6.1
2)rpmlint complained ->
perl-libwww-perl.noarch: W: file-not-utf8
/usr/share/doc/perl-libwww-perl-5.808/AUTHORS
The character encoding of this file is not UTF-8.  Consider converting it
in the specfile for example using iconv(1).

perl-libwww-perl.noarch: W: file-not-utf8
/usr/share/doc/perl-libwww-perl-5.808/README
The character encoding of this file is not UTF-8.  Consider converting it
in the specfile for example using iconv(1).

perl-libwww-perl.noarch: W: file-not-utf8
/usr/share/doc/perl-libwww-perl-5.808/Changes
The character encoding of this file is not UTF-8.  Consider converting it
in the specfile for example using iconv(1).

perl-libwww-perl.src: I: checking
perl-libwww-perl.src: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 16)
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.

3) make test skipped some tests but I guess they are ok. Do you think it can be
solved?

Comment 2 Robin Norwood 2007-10-26 19:52:58 UTC
1, 2) fixed

3) I don't really know enough about the module to fix them.  I looked at them a
few months ago, and couldn't figure out why they were failing in mock but not on
my system.

New version: perl-libwww-perl-5.808-4.fc9

Comment 3 Lubomir Rintel 2009-02-27 02:56:09 UTC
(In reply to comment #2)
> 3) I don't really know enough about the module to fix them.  I looked at them a
> few months ago, and couldn't figure out why they were failing in mock but not on
> my system.

You didn't in fact look, did you? ;)
It's this: bug #487620, nothing that would block this review.